Package fr.gouv.vitam.common.model

# Class AuditOptions

java.lang.Object
fr.gouv.vitam.common.model.AuditOptions

public class AuditOptions extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuditOptions()`
  Constructor without fields use for jackson
  `AuditOptions(String auditType, String objectId, com.fasterxml.jackson.databind.JsonNode query, String auditActions)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkValid()`
  `String`
  `getAuditActions()`
  `String`
  `getAuditType()`
  `String`
  `getObjectId()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getQuery()`
  `void`
  `setAuditActions(String auditActions)`
  `void`
  `setAuditType(String auditType)`
  `void`
  `setObjectId(String objectId)`
  `void`
  `setQuery(com.fasterxml.jackson.databind.JsonNode query)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuditOptions

    public AuditOptions()
    Constructor without fields use for jackson

  - ### AuditOptions

    public AuditOptions(String auditType, String objectId, com.fasterxml.jackson.databind.JsonNode query, String auditActions)
    Constructor
    Parameters:
      `auditType` - tenant, originatingagency or dsl
      `objectId` - id of tenant or originating agency
      `query` - dsl query
      `auditActions` - AUDIT_FILE_EXISTING or AUDIT_FILE_INTEGRITY

- ## Method Details

  - ### getAuditType

    public String getAuditType()

  - ### setAuditType

    public void setAuditType(String auditType)

  - ### getObjectId

    public String getObjectId()

  - ### setObjectId

    public void setObjectId(String objectId)

  - ### getQuery

    public com.fasterxml.jackson.databind.JsonNode getQuery()

  - ### setQuery

    public void setQuery(com.fasterxml.jackson.databind.JsonNode query)

  - ### getAuditActions

    public String getAuditActions()

  - ### setAuditActions

    public void setAuditActions(String auditActions)

  - ### checkValid

    public void checkValid()